<?php

namespace App\Http\Controllers;

use App\GrupoDeCompra;
use App\Helpers\PedidosExportHelper;
use League\Csv\Exception;
use Mpdf\MpdfException;

class AdminController extends Controller
{
    public function show()
    {
        return view('auth/login');
    }

    public function index() {
        return view('auth/admin_subpedidos');
    }

    public function exportarPedidosAPdf(GrupoDeCompra $gdc) {
        try {
            $gdc->exportarPedidosAPdf();
            return response();
        } catch (MpdfException $e) {
            return response()->json(['message' => $e->getMessage()], 500);
        }
    }

    public function exportarPedidoACSV(GrupoDeCompra $gdc)
    {
        try {
            PedidosExportHelper::pedidoTotalDeBarrio($gdc);
        } catch (Exception $e) {
            return response()->json(['message' => $e->getMessage()]);
        }
        $pattern = storage_path('csv/exports/'. $gdc->nombre . '-*.csv');
        $files = glob($pattern);

        usort($files, function ($a, $b) {
            return filemtime($b) <=> filemtime($a);
        });

        return response()->download($files[0]);
    }

    public function exportarPedidoConNucleosACSV(GrupoDeCompra $gdc)
    {
        try {
            PedidosExportHelper::pedidosDeBarrio($gdc);
        } catch (Exception $e) {
            return response()->json(['message' => $e->getMessage()]);
        }
        $pattern = storage_path('csv/exports/'.$gdc->nombre.'-completo-*.csv');
        $files = glob($pattern);

        usort($files, function ($a, $b) {
            return filemtime($b) <=> filemtime($a);
        });

        return response()->download($files[0]);
    }
}
